Move DevTools code to  top-level directory
We should move the devtools code--which is currently scattered around various locations, like  and  a new top-level  directory, to make it easier to reuse the code in multiple applications, like B2G Desktop (and the FxOS Simulator) in  and the desktop webapp runtime in 
